"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function InputStream(input) {
    let pos = 0;
    let line = 1;
    let col = 0;
    return { next, peek, eof, croak };
    function next() {
        const char = input.charAt(pos++);
        if (char === '\n')
            line++, (col = 0);
        else
            col++;
        return char;
    }
    function peek() {
        return input.charAt(pos);
    }
    function eof() {
        return peek() === '';
    }
    function croak(msg) {
        throw new Error(msg + ' (' + line + ':' + col + ')');
    }
}
exports.InputStream = InputStream;
//# sourceMappingURL=input-stream.js.map